<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSlidersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: sliders
         */
        Schema::create('sliders', function ($table) {
            $table->increments('id');
            $table->string('title', 50)->nullable();
            $table->enum('type', ['Image','Video'])->nullable();
            $table->text('images')->nullable();
            $table->string('url', 200)->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('sliders');
    }
}
